import React from 'react';
require('./index.css')
export default class PopupComponent extends React.Component{
    constructor(props){
        super(props);
    }


    render(){
        let {popupInfo} = this.props;
        console.log(popupInfo);
        let {showPopup=false,classNames='',popupChild=null} = popupInfo;
        return (
            <div className={"popupComponent " + (showPopup ? ' ' : 'hide ') + classNames}>
                {popupChild}
            </div>
        )
    }
}